import {select,extent,csv} from 'd3';

import {parseYear} from './loadAndProcessData';

export const lineChart= (selection, props)=>{
  const{
  	margin,
    data,
    width,
    height
    xValue,
    yValue
  }= props;
  
  const innerWidth= width-margin.left-margin.right;
  const innerHeight= height-margin.top- margin.bottom;
  
  const xScale= scaleTime()
  								.domain(extent(data,xValue))
  								.range(0,innerWidth);
        
  const yScale= scaleLinear()
  								.domain(extent(data,yValue))
  								.range(0,innerHeight)
  								.nice();
  
const g= selection.selectAll('.container').data([null]);
const gEnter= g.enter().append('g')
								.attr('class','container');
 			gEnter.merge(g)
								.attr('transform',`translate(${margin.left},${margin.right})`);

	
  
};

